Skip to main content
GET
Get a single Person

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

personId
integer<int64>
required

Person ID

Required range: 1 <= x <= 9007199254740991

Query Parameters

fieldIds
string[]

Field IDs for which to return field data

Example:
fieldTypes
enum<string>[]

Field Types for which to return field data

Available options:
enriched,
global,
relationship-intelligence

Response

OK

Person model

id
integer<int64>
required

The persons's unique identifier

Required range: 1 <= x <= 9007199254740991
Example:

1

firstName
string
required

The person's first name

Example:

"Jane"

lastName
string | null
required

The person's last name

Example:

"Doe"

primaryEmailAddress
string<email> | null
required

The person's primary email address

Example:

"jane.smith@northpointvc.com"

emailAddresses
string<email>[]
required

All of the person's email addresses

Example:
type
enum<string>
required

The person's type. internal - people who are users within your Affinity instance. external - people who are not internal.

Available options:
internal,
external
Example:

"internal"

fields
Field · object[]

The fields associated with the person